

html{
    scroll-behavior: smooth;
    background-color: white;
}

body{
    font-family: Arial, Helvetica, sans-serif;
}

#ecran2,#ecran3,#ecran4,#ecran5,#ecran6{
    margin-top: 100px;
}

/* ECRAN 1*/

#ecran1{
    background-color: var(--fond);
    height: calc( 100vh - 48px );

}

.texteEcran1 a{
    color: black;
    text-decoration: none;
    border: 1px solid;
    padding: 20px;
    display: block;
    margin: auto;
    width: 140px;
    margin-top: 40px;
}

.texteEcran1 h1{
    text-align: center;
    border: 5px solid;
    width: 60vw;
    border-left: none;
    border-right: none;
    margin: auto;
    font-size: 5vw;
    margin-top: 30vh;
    padding: 20px;
}

/* nav{
    background-color: var(--navbar);
    padding: 20px;
}

nav ul li:first-child{
    color: var(--couleur);
}

nav ul{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

nav ul li a{
    text-decoration: none;
    color: var(--navTexte);
} */

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
}
  
.sticky + .content {
    padding-top: 60px;
}


/*ECRAN 2*/

#motCle{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.texte{
    margin-top: 120px;
    width: 400px;
}


#quiSuisJe{
    margin-top: 120px;
    display: flex;
    flex-wrap: wrap;
    background-color: var(--color-block);
    padding: 100px;
    color: var(--color-texte);
}

.imageMoi{
    flex: 1;
}

.texteQuiSuisJE{
    width: 50vw;
}

/*ECRAN 3*/

.competence{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#compTexte{
    width: 500px;
}

.blockProgress{
    width: 500px;
}

.progressHTML5,.progressJS,.progressPHP,.progressSQL{
    background-color: #4A4848;
    width: 100%;
    height: 15px;
}

.progressHTML5 div{
    width: 80%;
    height: 100%;
    background-color: var(--couleur);

}

.progressJS div{
    width: 80%;
    height: 100%;
    background-color: var(--couleur);

}

.progressPHP div{
    width: 80%;
    height: 100%;
    background-color: var(--couleur);

}

.progressSQL div{
    width: 80%;
    height: 100%;
    background-color: var(--couleur);

}

#downloadBlock{
    background-color: var(--color-block);
    color: var(--color-texte);
    padding: 150px;
    font-size: 20px;
    margin-top: 100px;
}

.me-contacter{
    color: black;
    text-decoration: none;
    border: 1px solid;
    padding: 20px;
    display: block;
    margin: auto;
    width: 140px;
    margin-top: 40px;
}

.download-btn{
    color: var(---color-texte);
    text-decoration: none;
    border: 1px solid;
    padding: 20px;
    display: block;
    margin: auto;
    width: 140px;
    margin-top: 40px;
}

/*ECRAN 4*/

#ecran4{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

#monParcours{
    width: 500px;
    padding: 50px;
}

span{
    font-weight: bold;
    font-size: 20px;
}

#temoignage{

    background-color:var(--color-block);
    padding: 100px;
    text-align: center;
    color:white;
}

#temoignage div{
    display: none;
}

.slide p{
    font-style: italic;
}

.portfolio{
    padding: 10px;
    width: 800px;
}

.block-content{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    flex-wrap: wrap;
}

.content-block-4{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;

}

.block{
    margin: 10px;
    width: 250px;
    height: 250px;
    background-color: var(--color-block);
}

#portfolio h3{
    text-align: center;
}

/*ECRAN 6*/


#ecran6 div{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#ecran6 h3 {
    text-align: center;
}


#formulaire{
    display: flex;
    flex-direction: column; 
    width: 50%;  
}

label{
    margin-top:20px;
}

input[type=text]{
    width: 200px;
    height: 25px;
}

textarea{
    resize: none;
}

input[type=text]:hover, textarea:hover{
    border-color: var(--couleur);
}

input[type=button]{
    margin-bottom: 100px;
    width: 100px;
    margin-top: 20px;
    border: 1px solid var(--color-block);
    background-color: var(--couleur-bg-button);
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
}


input[type=button]:hover{
    color: var(--color-texte);
    background-color: var(--couleur);
}

#texteInfo ul{
    list-style: none;
    color: white;
}

#texteInfo {
    background-color: var(--color-block);
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}

#texteInfo ul li{
    margin: 20px;
}

iframe{
    margin: 10px;
}

h4{
    color: white;
    text-align: center;
}


/*FOOTER*/

footer{
    margin-top: 100px;
    width: 100%;
    height: 400px;
    background-color: var(--color-block);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.iconReseau{
    margin: 10px;
    margin-top: 10%;
    background-color: var(--fond);
    width: 100px;
    height: 100px;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
}